package com.inspect.exec.service;

import com.inspect.exec.domain.SilenceTaskPointExecRecord;

import java.util.List;

public interface ISilenceTaskPointExecRecordService {
    SilenceTaskPointExecRecord selectSilenceTaskPointExecRecordByPointId(Long pointId);

    List<SilenceTaskPointExecRecord> selectSilenceTaskPointExecRecordList(SilenceTaskPointExecRecord record);

    int insertSilenceTaskPointExecRecord(SilenceTaskPointExecRecord record);

    int updateSilenceTaskPointExecRecord(SilenceTaskPointExecRecord record);

    int deleteSilenceTaskPointExecRecordByPointIds(Long[] pointIds);

    int deleteSilenceTaskPointExecRecordByPointId(Long pointId);
}
